// static.cpp : implementation file
//

#include "stdafx.h"
#include "diagno.h"
#include "static.h"
#include "johndlg.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CJohnStatic

CJohnStatic::CJohnStatic()
{
}

CJohnStatic::~CJohnStatic()
{
}

BEGIN_MESSAGE_MAP(CJohnStatic, CStatic)
	//{{AFX_MSG_MAP(CJohnStatic)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CJohnStatic message handlers

void CJohnStatic::OnPaint()
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here
	dc.SetBkColor(RGB(192,192,192));
	dc.SetTextColor(m_color);
	dc.TextOut(0,0,m_strText);
//	dc.TextOut(0, 0, ((CJohnDlg*)GetParent())->m_strJohn);
	
	CStatic::OnPaint();
}
